import '@/common/pc'
import App from './App'

import request from 'common/request.js'
Vue.prototype.$http = request.http
Vue.prototype.$request = request
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

// Vue全局处理undefined和null转为空白字符串
Vue.prototype.$praseStrEmpty = function(str) {
    if (typeof str === 'undefined' || str === null) {
        return "";
    }
    return str;
}

